Debian Bug report logs - #668550
libxs-dev and libxen-dev: error when trying to install together

version graph

Package: libxs-dev; Maintainer for libxs-dev is Robert S. Edmonds <edmonds@debian.org>; Source for libxs-dev is src:libxs.

Reported by: Ralf Treinen <treinen@free.fr>

Date: Thu, 12 Apr 2012 17:48:04 UTC

Severity: serious

Found in versions libxs-dev/1.1.0-1, libxs/1.0.1-1

Fixed in version libxs/1.2.0-1

Done: edmonds@debian.org (Robert S. Edmonds)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>, Robert S. Edmonds <edmonds@debian.org>:
Bug#668550; Package libxen-dev,libxs-dev. (Thu, 12 Apr 2012 17:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Treinen <treinen@free.fr>:
New Bug report received and forwarded. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>, Robert S. Edmonds <edmonds@debian.org>.

Your message had a Version: pseudo-header with an invalid package version:

libxs-dev/1.0.1-1

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Thu, 12 Apr 2012 17:48:07 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ralf Treinen <treinen@free.fr>
To: submit@bugs.debian.org
Subject: libxs-dev and libxen-dev: error when trying to install together
Date: Thu, 12 Apr 2012 19:44:45 +0200
Package: libxen-dev,libxs-dev
Version: libxen-dev/4.1.2-3
Version: libxs-dev/1.0.1-1
Severity: serious
User: treinen@debian.org
Usertags: edos-file-overwrite

Date: 2012-04-12
Architecture: amd64
Distribution: sid

Hi,

automatic installation tests of packages that share a file and at the
same time do not conflict by their package dependency relationships has
detected the following problem:


WARNING: The following packages cannot be authenticated!
  libpgm-5.1-0 libxen-4.1 libxenstore3.0 libxen-dev libxs1 libxs-dev
Authentication warning overridden.
Can not write log, openpty() failed (/dev/pts not mounted?)
Selecting previously unselected package libpgm-5.1-0.
(Reading database ... 10561 files and directories currently installed.)
Unpacking libpgm-5.1-0 (from .../libpgm-5.1-0_5.1.116~dfsg-2_amd64.deb) ...
Selecting previously unselected package libxen-4.1.
Unpacking libxen-4.1 (from .../libxen-4.1_4.1.2-3_amd64.deb) ...
Selecting previously unselected package libxenstore3.0.
Unpacking libxenstore3.0 (from .../libxenstore3.0_4.1.2-3_amd64.deb) ...
Selecting previously unselected package libxen-dev.
Unpacking libxen-dev (from .../libxen-dev_4.1.2-3_amd64.deb) ...
Selecting previously unselected package libxs1.
Unpacking libxs1 (from .../libxs1_1.0.1-1_amd64.deb) ...
Selecting previously unselected package libxs-dev.
Unpacking libxs-dev (from .../libxs-dev_1.0.1-1_amd64.deb) ...
dpkg: error processing /var/cache/apt/archives/libxs-dev_1.0.1-1_amd64.deb (--unpack):
 trying to overwrite '/usr/include/xs.h', which is also in package libxen-dev 4.1.2-3
configured to not write apport reports
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Errors were encountered while processing:
 /var/cache/apt/archives/libxs-dev_1.0.1-1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
cow-shell unlink .ilist: No such file or directory


This is a serious bug as it makes installation fail, and violates
sections 7.6.1 and 10.1 of the policy. An optimal solution would
consist in only one of the packages installing that file, and renaming
or removing the file in the other package. Depending on the
circumstances you might also consider Replace relations or file
diversions. If the conflicting situation cannot be resolved then, as a
last resort, the two packages have to declare a mutual
Conflict. Please take into account that Replaces, Conflicts and
diversions should only be used when packages provide different
implementations for the same functionality.

Here is a list of files that are known to be shared by both packages
(according to the Contents file for sid/amd64, which may be
slightly out of sync):

  /usr/include/xs.h

This bug has been filed against both packages. If you, the maintainers of
the two packages in question, have agreed on which of the packages will
resolve the problem please reassign the bug to that package. You may then
also register in the BTS that the other package is affected by the bug.

-Ralf.

PS: for more information about the detection of file overwrite errors
of this kind see http://edos.debian.net/file-overwrites/.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>, Robert S. Edmonds <edmonds@debian.org>:
Bug#668550; Package libxen-dev,libxs-dev. (Thu, 12 Apr 2012 20:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <thomas@goirand.fr>:
Extra info received and forwarded to list. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>, Robert S. Edmonds <edmonds@debian.org>. (Thu, 12 Apr 2012 20:24:03 GMT) Full text and rfc822 format available.

Message #10 received at 668550@bugs.debian.org (full text, mbox):

From: Thomas Goirand <thomas@goirand.fr>
To: edmonds@debian.org, 668550@bugs.debian.org
Subject: libxs-dev conflicting with libxen-dev
Date: Fri, 13 Apr 2012 04:21:28 +0800
Hi,

Since Xen has been around for a long long time, and that libxs is pretty
new in Debian (only few days), I'd say that libxs-dev should be fixed.
Do you agree?

Cheers,

Thomas




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>, Robert S. Edmonds <edmonds@debian.org>:
Bug#668550; Package libxen-dev,libxs-dev. (Thu, 12 Apr 2012 20:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Edmonds <edmonds@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>, Robert S. Edmonds <edmonds@debian.org>. (Thu, 12 Apr 2012 20:39:06 GMT) Full text and rfc822 format available.

Message #15 received at 668550@bugs.debian.org (full text, mbox):

From: Robert Edmonds <edmonds@debian.org>
To: Thomas Goirand <thomas@goirand.fr>
Cc: 668550@bugs.debian.org
Subject: Re: libxs-dev conflicting with libxen-dev
Date: Thu, 12 Apr 2012 16:28:00 -0400
Thomas Goirand wrote:
> Since Xen has been around for a long long time, and that libxs is pretty
> new in Debian (only few days), I'd say that libxs-dev should be fixed.
> Do you agree?

yes, i've already brought it up to upstream.  hopefully it will be fixed
there rather than needing to be patched in individual distributions.

http://groups.crossroads.io/groups/crossroads-dev/messages/topic/2PAVRyQVwFozRDYmypdpUN

-- 
Robert Edmonds
edmonds@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>, Robert S. Edmonds <edmonds@debian.org>:
Bug#668550; Package libxen-dev,libxs-dev. (Sat, 14 Apr 2012 12:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Xen Team <pkg-xen-devel@lists.alioth.debian.org>, Robert S. Edmonds <edmonds@debian.org>. (Sat, 14 Apr 2012 12:03:39 GMT) Full text and rfc822 format available.

Message #20 received at 668550@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Thomas Goirand <thomas@goirand.fr>, 668550@bugs.debian.org
Cc: edmonds@debian.org
Subject: Re: [Pkg-xen-devel] Bug#668550: libxs-dev conflicting with libxen-dev
Date: Sat, 14 Apr 2012 14:01:02 +0200
On Fri, Apr 13, 2012 at 04:21:28AM +0800, Thomas Goirand wrote:
> Since Xen has been around for a long long time, and that libxs is pretty
> new in Debian (only few days), I'd say that libxs-dev should be fixed.

I'll also rename xs.h. It is too short for a global namespace. The
library already have a suitable name.

Bastian

-- 
There is an order of things in this universe.
		-- Apollo, "Who Mourns for Adonais?" stardate 3468.1




Marked as found in versions libxen-dev/4.1.2-3. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sat, 14 Apr 2012 13:42:10 GMT) Full text and rfc822 format available.

Marked as found in versions libxs-dev/1.0.1-1. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sat, 14 Apr 2012 13:42:10 GMT) Full text and rfc822 format available.

Marked as found in versions libxen-dev/4.1.2-4. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Mon, 23 Apr 2012 01:45:12 GMT) Full text and rfc822 format available.

Bug reassigned from package 'libxen-dev,libxs-dev' to 'libxs-dev'. Request was from Ralf Treinen <treinen@debian.org> to control@bugs.debian.org. (Mon, 30 Apr 2012 06:27:06 GMT) Full text and rfc822 format available.

No longer marked as found in versions libxs-dev/1.0.1-1, libxen-dev/4.1.2-3, and libxen-dev/4.1.2-4. Request was from Ralf Treinen <treinen@debian.org> to control@bugs.debian.org. (Mon, 30 Apr 2012 06:27:07 GMT) Full text and rfc822 format available.

Marked as found in versions libxs/1.0.1-1. Request was from Ralf Treinen <treinen@debian.org> to control@bugs.debian.org. (Mon, 30 Apr 2012 06:27:09 GMT) Full text and rfc822 format available.

Added indication that 668550 affects libxen-dev Request was from Ralf Treinen <treinen@debian.org> to control@bugs.debian.org. (Mon, 30 Apr 2012 06:27:12 GMT) Full text and rfc822 format available.

Marked as found in versions libxs-dev/1.1.0-1. Request was from Ralf Treinen <treinen@debian.org> to control@bugs.debian.org. (Wed, 23 May 2012 06:57:06 GMT) Full text and rfc822 format available.

Reply sent to edmonds@debian.org (Robert S. Edmonds):
You have taken responsibility. (Wed, 13 Jun 2012 18:06:11 GMT) Full text and rfc822 format available.

Notification sent to Ralf Treinen <treinen@free.fr>:
Bug acknowledged by developer. (Wed, 13 Jun 2012 18:06:11 GMT) Full text and rfc822 format available.

Message #41 received at 668550-close@bugs.debian.org (full text, mbox):

From: edmonds@debian.org (Robert S. Edmonds)
To: 668550-close@bugs.debian.org
Subject: Bug#668550: fixed in libxs 1.2.0-1
Date: Wed, 13 Jun 2012 17:47:33 +0000
Source: libxs
Source-Version: 1.2.0-1

We believe that the bug you reported is fixed in the latest version of
libxs, which is due to be installed in the Debian FTP archive:

libxs-compat-libzmq-dev_1.2.0-1_amd64.deb
  to main/libx/libxs/libxs-compat-libzmq-dev_1.2.0-1_amd64.deb
libxs-compat-libzmq1_1.2.0-1_amd64.deb
  to main/libx/libxs/libxs-compat-libzmq1_1.2.0-1_amd64.deb
libxs-dev_1.2.0-1_amd64.deb
  to main/libx/libxs/libxs-dev_1.2.0-1_amd64.deb
libxs2-dbg_1.2.0-1_amd64.deb
  to main/libx/libxs/libxs2-dbg_1.2.0-1_amd64.deb
libxs2_1.2.0-1_amd64.deb
  to main/libx/libxs/libxs2_1.2.0-1_amd64.deb
libxs_1.2.0-1.debian.tar.gz
  to main/libx/libxs/libxs_1.2.0-1.debian.tar.gz
libxs_1.2.0-1.dsc
  to main/libx/libxs/libxs_1.2.0-1.dsc
libxs_1.2.0.orig.tar.gz
  to main/libx/libxs/libxs_1.2.0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 668550@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert S. Edmonds <edmonds@debian.org> (supplier of updated libxs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 13 Jun 2012 13:02:52 -0400
Source: libxs
Binary: libxs2 libxs2-dbg libxs-dev libxs-compat-libzmq1 libxs-compat-libzmq-dev
Architecture: source amd64
Version: 1.2.0-1
Distribution: unstable
Urgency: low
Maintainer: Robert S. Edmonds <edmonds@debian.org>
Changed-By: Robert S. Edmonds <edmonds@debian.org>
Description: 
 libxs-compat-libzmq-dev - Crossroads I/O 'libzmq' compatibility library (header files)
 libxs-compat-libzmq1 - Crossroads I/O 'libzmq' compatibility library (shared library)
 libxs-dev  - Crossroads I/O lightweight messaging layer (development files)
 libxs2     - Crossroads I/O lightweight messaging layer (shared library)
 libxs2-dbg - Crossroads I/O lightweight messaging layer (debugging symbols)
Closes: 668550
Changes: 
 libxs (1.2.0-1) unstable; urgency=low
 .
   * New upstream release.
     + Renames /usr/include/xs.h to /usr/include/xs/xs.h; closes: #668550.
Checksums-Sha1: 
 67371cda0097f0851128533d9d6420e616b3cc4d 1456 libxs_1.2.0-1.dsc
 d9633e6df56e3ed0c4f0e86d80ee0ae10c8a966a 1955426 libxs_1.2.0.orig.tar.gz
 120122ce13e82d4128e34cd2a1b166648b8cb7d5 4478 libxs_1.2.0-1.debian.tar.gz
 edbe79c91cfcb7a8cbffb138a5cdb19f1e7931b0 125528 libxs2_1.2.0-1_amd64.deb
 9459b31b2030bd7a1abbce390d6bfb3ba32bc7f5 828080 libxs2-dbg_1.2.0-1_amd64.deb
 cac8998cd77f50c46b3eb0370a5458d74de6f63b 273220 libxs-dev_1.2.0-1_amd64.deb
 50939ff194ccc23ed14e1b66d7995efe6844b112 8474 libxs-compat-libzmq1_1.2.0-1_amd64.deb
 0b47e1b3289dd9c948d34d19857fdbd3b42a97dc 10194 libxs-compat-libzmq-dev_1.2.0-1_amd64.deb
Checksums-Sha256: 
 7fe101da4de7c93fd065ac9c08ba5f54f54b7fc90fa480be6a52a0ac69f84b6e 1456 libxs_1.2.0-1.dsc
 525dc999cc6524779bc4eef510e423077b7f7ea491cb3ad6d8056ecaf99ff515 1955426 libxs_1.2.0.orig.tar.gz
 801a03adbf494c1409272d8b99dbed0c038e7340c8f9cd37095d04cceb54d621 4478 libxs_1.2.0-1.debian.tar.gz
 554995fbb709cb8194f3448b6666c6205cacc72d79dbed64e9244f7558b8c41f 125528 libxs2_1.2.0-1_amd64.deb
 18fa5fd32e8cf254dee553a12711c4d351aee075e3ee1974004a6472defd168c 828080 libxs2-dbg_1.2.0-1_amd64.deb
 07fc041f94611bb620062b946fb18e91303ba1b65d970529d437687127052520 273220 libxs-dev_1.2.0-1_amd64.deb
 1b7ad473e3a8b703d7eb8f2dbeff2b6c933b181cecd67bd415ee91276b904556 8474 libxs-compat-libzmq1_1.2.0-1_amd64.deb
 8299819138fa67b208cc8057667b91e9c4c46e60150071a0e72bc3d72b0df6f4 10194 libxs-compat-libzmq-dev_1.2.0-1_amd64.deb
Files: 
 c2048eaf87b3bc32c134369ed60c3c39 1456 libs optional libxs_1.2.0-1.dsc
 aac1264bb0d03704bd2126419b981fd5 1955426 libs optional libxs_1.2.0.orig.tar.gz
 79574c99ae1f771f4819e9bb52788ed7 4478 libs optional libxs_1.2.0-1.debian.tar.gz
 469814ea91ee91bb1532eac51ecc3471 125528 libs optional libxs2_1.2.0-1_amd64.deb
 c1e2c4087c49ed668730c9576dd7fc3a 828080 debug extra libxs2-dbg_1.2.0-1_amd64.deb
 3c6dba713e642005a44cc60e8f0753d4 273220 libdevel optional libxs-dev_1.2.0-1_amd64.deb
 59aa596b2e0d0bdcc5bbbd7950b46dd5 8474 libs optional libxs-compat-libzmq1_1.2.0-1_amd64.deb
 9270501f7727db661686e7ff2c99a876 10194 libdevel optional libxs-compat-libzmq-dev_1.2.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk/Yz00ACgkQdp+/SHMBQJGubwCcCrq9AZW0q4dTY09GoJcWHhcs
BtAAn3wa9ueHh+BC2ZN1zGz5eFfU9rS6
=WY8C
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 13 Jul 2012 07:40:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:14:01 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.